﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Practices.Prism.Modularity;
using Microsoft.Practices.Unity;
using Microsoft.Practices.Prism.Regions;

namespace ModuleA
{
    public class ModuleAModule : IModule
    {
        IUnityContainer _container;
        IRegionManager _manager;

        public ModuleAModule(IUnityContainer container, IRegionManager manager)
        {
            _container = container;
            _manager = manager;
        }

        public void Initialize()
        {
            //tab pane 1
            _manager.Regions["TabGroupPaneOne"].Add(_container.Resolve<ViewA>());
            _manager.Regions["TabGroupPaneOne"].Add(_container.Resolve<ViewA>());
            _manager.Regions["TabGroupPaneOne"].Add(_container.Resolve<ViewA>());
            _manager.Regions["TabGroupPaneOne"].Add(_container.Resolve<ViewA>());

            //tab pane 2
            _manager.Regions["TabGroupPaneTwo"].Add(_container.Resolve<ViewA>());
            _manager.Regions["TabGroupPaneTwo"].Add(_container.Resolve<ViewA>());
            _manager.Regions["TabGroupPaneTwo"].Add(_container.Resolve<ViewA>());
        }
    }
}
